
SET search_path TO "Inscrire ici le schema a utiliser";



DROP VIEW IF EXISTS "GTTut-ListeDeroul-VillesRef";

DROP VIEW IF EXISTS "GTTut-ListeDeroul-PysVilRef";

DROP VIEW IF EXISTS "GTTut-ListeDeroul-PysCapRef";

DROP TABLE IF EXISTS "GTTut-ListeDeroul-ContPysVil";

DROP TABLE IF EXISTS "GTTut-ListeDeroul-Annuaire";



CREATE TABLE "GTTut-ListeDeroul-ContPysVil"
(
	"Continent" character varying(50) NOT NULL ,
	"Pays" character varying(50) NOT NULL ,
	"Ville" character varying(50) NOT NULL ,
	"EstUneCapitale" int DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-ListeDeroul-CntPsVl" PRIMARY KEY 
	(
	"Continent" , 
	"Pays" , 
	"Ville"
	)
);



CREATE TABLE "GTTut-ListeDeroul-Annuaire"
(
	"AdresseMail" character varying(100) NULL ,
	"Continent" character varying(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Annuaire" PRIMARY KEY 
	(
	"Continent"
	)
);






CREATE VIEW "GTTut-ListeDeroul-VillesRef"
AS
SELECT     "Continent", "Ville" AS "VillePourContinent"
FROM         "GTTut-ListeDeroul-ContPysVil";






CREATE VIEW "GTTut-ListeDeroul-PysVilRef"
AS
SELECT     "Continent", "Pays" AS "PaysVilles-Pays", "Ville" AS "PaysVilles-Ville", "EstUneCapitale"
FROM         "GTTut-ListeDeroul-ContPysVil";






CREATE VIEW "GTTut-ListeDeroul-PysCapRef"
AS
SELECT     "Continent", "Pays" AS "PaysRef", "Ville" AS "CapitaleRef"
FROM         "GTTut-ListeDeroul-ContPysVil"
WHERE     ("EstUneCapitale" = 1);









